Strict Standards: Declaration of GMNeo_Default_Menu_Walker::

  • etconline


    I am running Graphene Mobile Neo 1.8. and WordPress 4.1 and I get on a mobile device (Android) the following error messages:

    Strict Standards: Declaration of GMNeo_Default_Menu_Walker::start_el() should be compatible with Walker_Page::start_el(&$output, $page, $depth = 0, $args = Array, $current_page = 0) in /var/www/vhosts/xxx/httpdocs/wordpress/wp-content/themes/graphene-mobile-neo/includes/theme-menus.php on line 115

    followed by another error messages with the same message.

    What’s wrong?

    Thanks in andvance!


    Syahir Hakim


    Thanks for the report! We’ve fixed the issue and it’ll be reflected in the next update.



    Thank you – quick and temporarily fix was disabling the E_strict in the errorhandling in php.ini


    Syahir Hakim


    Yup. It is good practice to turn off all error reporting in production sites though, and just let the errors and notices go to log files instead.

Viewing 4 posts - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.